Class FileProvider

Declaration :

- C++ : class FileProvider

This is the Factory for Files, whenever something wants to use some file (or temporary storage), This Factory will hand out some smart/shared pointer to a File object which will be used to retrieve Frames.

Relation files (<aggregation>)

Declaration :

- Uml : # files : File, multiplicity : *
- C++ : protected: File * files

Operation useFile

Declaration :

- Uml : + useFile(in name : string, in mode : ) : FileReference
- C++ : public: FileReference useFile()

Announces that the application intends to use this file with mode (READ|WRITE|READWRITE)

Operation useTemporaryStorage

Declaration :

- Uml : + useTemporaryStorage(in type : FrameDescriptor) : FileReference
- C++ : public: FileReference useTemporaryStorage()

Provides a pool for interminate frames

All public operations : useFile , useTemporaryStorage